<script setup lang="ts">
import ProductCard from '@/components/ProductCard.vue'
import { type Product } from '@/types/Product'
import { ref } from 'vue'

function selected(p: Product) {
  emit('selected', p)
}

defineProps<{
  products: Product[]
}>()

const emit = defineEmits<{
  selected: [product: Product]
}>()
</script>

<template>
  <v-container fluid>
    <v-row>
      <v-col cols="3" v-for="product of products" :key="product.id">
        <ProductCard :product="product" @selected="selected"></ProductCard>
      </v-col>
    </v-row>
  </v-container>
</template>
